org.apache.tools.ant.taskdefs.optional

## Class XMLValidateTask.Attribute

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.XMLValidateTask.Attribute

- Enclosing class:
    XMLValidateTask

      public static class XMLValidateTask.Attribute
      extends java.lang.Object

  The class to create to set a feature of the parser.
  Since:
    ant1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the attribute name.
    `boolean` | `getValue()` Gets the attribute value.
    `void` | `setName(java.lang.String name)` Set the feature name.
    `void` | `setValue(boolean value)` Set the feature value to true or false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Set the feature name.
      Parameters:
        `name` - the name to set

    - #### setValue

          public void setValue(boolean value)

      Set the feature value to true or false.
      Parameters:
        `value` - feature value

    - #### getName

          public java.lang.String getName()

      Gets the attribute name.
      Returns:
        the feature name

    - #### getValue

          public boolean getValue()

      Gets the attribute value.
      Returns:
        the feature value